Oracle Linux 8:python2(ELSA-2021-9128)

critical Nessus プラグイン ID 147966
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのOracle Linuxホストにセキュリティ更新プログラムがありません。

説明

リモートのOracle Linux 8ホストに、ELSA-2021-9128アドバイザリに記載されている脆弱性の影響を受けるパッケージがインストールされています。

- Python3.xから3.9.1は、_ctypes/callproc.cのPyCArg_reprのバッファオーバーフローがあります。これにより、浮動小数点を信頼できない入力として受け入れる特定のPythonアプリケーションで、リモートコード実行が引き起こされることがあります。これは、c_double.from_paramに対する1e300引数で実証されています。これは、sprintfが安全でない方法で使用されているために発生します。(CVE-2021-3177)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://linux.oracle.com/errata/ELSA-2021-9128.html

プラグインの詳細

深刻度: Critical

ID: 147966

ファイル名: oraclelinux_ELSA-2021-9128.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2021/3/23

更新日: 2021/3/23

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2021-3177

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:babel, p-cpe:/a:oracle:linux:python-nose-docs, p-cpe:/a:oracle:linux:python-psycopg2-doc, p-cpe:/a:oracle:linux:python-sqlalchemy-doc, p-cpe:/a:oracle:linux:python2, p-cpe:/a:oracle:linux:python2-Cython, p-cpe:/a:oracle:linux:python2-PyMySQL, p-cpe:/a:oracle:linux:python2-attrs, p-cpe:/a:oracle:linux:python2-babel, p-cpe:/a:oracle:linux:python2-backports, p-cpe:/a:oracle:linux:python2-backports-ssl_match_hostname, p-cpe:/a:oracle:linux:python2-bson, p-cpe:/a:oracle:linux:python2-chardet, p-cpe:/a:oracle:linux:python2-coverage, p-cpe:/a:oracle:linux:python2-debug, p-cpe:/a:oracle:linux:python2-devel, p-cpe:/a:oracle:linux:python2-dns, p-cpe:/a:oracle:linux:python2-docs, p-cpe:/a:oracle:linux:python2-docs-info, p-cpe:/a:oracle:linux:python2-docutils, p-cpe:/a:oracle:linux:python2-funcsigs, p-cpe:/a:oracle:linux:python2-idna, p-cpe:/a:oracle:linux:python2-ipaddress, p-cpe:/a:oracle:linux:python2-jinja2, p-cpe:/a:oracle:linux:python2-libs, p-cpe:/a:oracle:linux:python2-lxml, p-cpe:/a:oracle:linux:python2-markupsafe, p-cpe:/a:oracle:linux:python2-mock, p-cpe:/a:oracle:linux:python2-nose, p-cpe:/a:oracle:linux:python2-numpy, p-cpe:/a:oracle:linux:python2-numpy-doc, p-cpe:/a:oracle:linux:python2-numpy-f2py, p-cpe:/a:oracle:linux:python2-pip, p-cpe:/a:oracle:linux:python2-pip-wheel, p-cpe:/a:oracle:linux:python2-pluggy, p-cpe:/a:oracle:linux:python2-psycopg2, p-cpe:/a:oracle:linux:python2-psycopg2-debug, p-cpe:/a:oracle:linux:python2-psycopg2-tests, p-cpe:/a:oracle:linux:python2-py, p-cpe:/a:oracle:linux:python2-pygments, p-cpe:/a:oracle:linux:python2-pymongo, p-cpe:/a:oracle:linux:python2-pymongo-gridfs, p-cpe:/a:oracle:linux:python2-pysocks, p-cpe:/a:oracle:linux:python2-pytest, p-cpe:/a:oracle:linux:python2-pytest-mock, p-cpe:/a:oracle:linux:python2-pytz, p-cpe:/a:oracle:linux:python2-pyyaml, p-cpe:/a:oracle:linux:python2-requests, p-cpe:/a:oracle:linux:python2-rpm-macros, p-cpe:/a:oracle:linux:python2-scipy, p-cpe:/a:oracle:linux:python2-setuptools, p-cpe:/a:oracle:linux:python2-setuptools-wheel, p-cpe:/a:oracle:linux:python2-setuptools_scm, p-cpe:/a:oracle:linux:python2-six, p-cpe:/a:oracle:linux:python2-sqlalchemy, p-cpe:/a:oracle:linux:python2-test, p-cpe:/a:oracle:linux:python2-tkinter, p-cpe:/a:oracle:linux:python2-tools, p-cpe:/a:oracle:linux:python2-urllib3, p-cpe:/a:oracle:linux:python2-virtualenv, p-cpe:/a:oracle:linux:python2-wheel, p-cpe:/a:oracle:linux:python2-wheel-wheel

必要な KB アイテム: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/3/22

脆弱性公開日: 2021/1/19

参照情報

CVE: CVE-2021-3177